-- 
-- Database: `kiosk`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `icons`
-- 

CREATE TABLE `icons` (
  `id` int(11) NOT NULL auto_increment,
  `type` int(11) NOT NULL,
  `locationid` int(11) NOT NULL,
  `cmd` varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`id`),
  KEY `locationid` (`locationid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `images`
-- 

CREATE TABLE `images` (
  `id` int(11) NOT NULL auto_increment,
  `imghref` varchar(100) collate utf8_unicode_ci NOT NULL,
  `vidhref` varchar(100) collate utf8_unicode_ci NOT NULL,
  `locationid` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `locationid` (`locationid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `image_location`
-- 

CREATE TABLE `image_location` (
  `id` int(11) NOT NULL auto_increment,
  `imgid` int(11) NOT NULL,
  `locationid` int(11) NOT NULL,
  `toppx` int(11) NOT NULL,
  `leftpx` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `locationid` (`locationid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `locations`
-- 

CREATE TABLE `locations` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) collate utf8_unicode_ci NOT NULL,
  `type` smallint(1) NOT NULL,
  `textEng` text collate utf8_unicode_ci,
  `textHi` text collate utf8_unicode_ci,
  PRIMARY KEY  (`id`),
  KEY `up` (`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `menuitems`
-- 

CREATE TABLE `menuitems` (
  `id` int(11) NOT NULL auto_increment,
  `html` text collate utf8_unicode_ci,
  `locationid` int(11) NOT NULL,
  `type` smallint(6) NOT NULL,
  `position` int(11) NOT NULL,
  `menuEng` varchar(255) collate utf8_unicode_ci default NULL,
  `menuHi` varchar(255) collate utf8_unicode_ci default NULL,
  `menuEngOn` varchar(255) collate utf8_unicode_ci NOT NULL,
  `menuHiOn` varchar(255) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `type` (`type`),
  KEY `locationid` (`locationid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

