<?php
/* $ip actually refers to the location id. $cmd refers to the command to send the arduino */
$ip = $_GET['ip'];
$cmd = $_GET['cmd'];
if ($ip > 4) {
	/* If the location id is > 4, that means the location is on the ground, therefore we need to send a command to the arduino that's connected to the Web server on the ground. This is simple enough - we just echo $cmd to the device, which is attached to ttyUSB0 of the machine. It needed to be sent within the '' because the arduino expected the command as a string. The Arduino could have been setup to receive commands in a variety of ways and formats. Our way was fairly arbitrary - we decided to go with the most rudimentary way to perform the set of tasks we needed it to perform. */
	$command = "echo '$cmd' > /dev/ttyUSB0";
	} else {

/* If the Arduino to send to is in one of the locations in the buildings, we need to get its IP address, which we had set in the range of 192.168.1.151 - 154. */
$ipplusfifty = 50 + $ip;
$fullip = "192.168.1.1".$ipplusfifty;

/* This single line does most of the magic - it makes a socket connection on port 5204 to the IP given, and sends the command. On the machines upstairs, port listeners are setup, that listen and pass on the commands to the Arduinos physically connected to the machine, which in turn signal a relay to turn on or off the light (or whatever else). */
$command = "socket -wq -p '"."echo '$cmd'"."' $fullip 5204";
	}

/* An example of the socket command at the shell-prompt is $socket -wq -p "echo 'x'" 192.168.1.151 5204
Basically saying open a 'write' connection and quit after executing the program "echo 'x'" on IP 192.168.1.151 at port 5204. */
exec($command);

/* Return '1' to indicate all went OK */
echo "1";


?>
